<ion-content>


    <ion-grid class="popup-check-out">
        <ion-row>
              <ion-col col-6>
                  <h2>Add Emergency Contact</h2>
              </ion-col>
              <ion-col col-6 text-right>
                  <button  (click)="closeModal()">cancel</button>
                  <button class="submit" [disabled]="!productForm.valid"  (click)="submit(data)">ADD</button>
              </ion-col>
        </ion-row>
    </ion-grid>
    <ion-grid class="popup-check-text">

        <form [formGroup]="productForm" novalidate>


          <div *ngIf="!isEmpty">
          <ion-row>
              <ion-col col-6>
                  <h2>Title <span>*</span></h2>

                  <ion-select  formControlName="Gender"   [(ngModel)]="data.title" >
                      <ion-option  [value]="ti" *ngFor ="let ti of Title ">{{ti}}</ion-option>

                  </ion-select>
                  <div style="color: red; "*ngIf="productForm.controls['Gender'].hasError('required') && productForm.controls['Gender'].touched">* The field is required</div>
                  <div style="color: red; " *ngIf="productForm.controls['Gender'].hasError('pattern') && productForm.controls['Gender'].touched">* Only alphabets are allowed!</div>

              </ion-col>


              <ion-col col-12>
                  <h2>First name <span>*</span></h2>

                      <ion-item >
                          <ion-input  formControlName="Firstname"    [(ngModel)]="data.firstname" type="text" placeholder="First name" ></ion-input>
                      </ion-item>

              </ion-col>
              <div style="color: red; " *ngIf="productForm.controls['Firstname'].hasError('required') && productForm.controls['Firstname'].touched">* The field is required</div>
              <div style="color: red; " *ngIf="productForm.controls['Firstname'].hasError('pattern') && productForm.controls['Firstname'].touched">* Only alphabets are allowed!</div>

              <ion-col col-12>
                  <h2>Surname <span>*</span></h2>

                      <ion-item>
                          <ion-input  formControlName="Surname" [(ngModel)]="data.surname"  type="text" placeholder="Surname" ></ion-input>
                      </ion-item>

              </ion-col>
              <div style="color: red; " *ngIf="productForm.controls['Surname'].hasError('required') && productForm.controls['Surname'].touched">* The field is required</div>
              <div style="color: red; " *ngIf="productForm.controls['Surname'].hasError('pattern') && productForm.controls['Surname'].touched">* Only alphabets are allowed!</div>


              <ion-col col-12>
                  <h2>Relation<span>*</span></h2>

                      <ion-item>
                          <ion-input   formControlName="relation" [(ngModel)]="data.relation"  type="text" placeholder="Relation" ></ion-input>
                      </ion-item>

              </ion-col>
              <div style="color: red; " *ngIf="productForm.controls['relation'].hasError('required') && productForm.controls['relation'].touched">* The field is required</div>

              <ion-col col-12>
                  <h2>Phone Number <span>*</span></h2>

                      <ion-item>
                          <ion-input   formControlName="phonenumber" [(ngModel)]="data.phone" type="Number" placeholder="Phone Number" ></ion-input>
                      </ion-item>

              </ion-col>
              <div style="color: red; " *ngIf="productForm.controls['phonenumber'].hasError('required') && productForm.controls['phonenumber'].touched">* The field is required</div>
<!--
              <div *ngIf="productForm.controls['phonenumber'].dirty " style="color: red; "> Invalid contact number.</div> -->

          </ion-row>
          <ion-row>
              <ion-col col-5>
                  <h2>Start Date<span>*</span></h2>
                      <ion-item no-lines>
                           <ion-datetime   formControlName="startdate"  [(ngModel)]="data.startdate" displayFormat="MM/DD/YYYY"  pickerFormat="MM/DD/YYYY" min="2019" max="2050"  placeholder="Enter Date"></ion-datetime>
                      </ion-item>
              </ion-col>
              <div class="error-box" *ngIf="productForm.controls['startdate'].hasError('required') && productForm.controls['startdate'].touched">* The field is required</div>

              <ion-col col-2 class="border-none"></ion-col>
              <ion-col col-5 class="none-e">
                  <h2>End Date<span>*</span></h2>
                  <ion-item no-lines>
                      <ion-datetime   formControlName="enddate"  [(ngModel)]="data.enddate"  displayFormat="MM/DD/YYYY"  pickerFormat="MM/DD/YYYY" min="2019" max="2050"  placeholder="Enter Date"></ion-datetime>
                 </ion-item>

                      <!-- <ion-item no-padding no-lines hide style="display:none;">
                      <textarea [(ngModel)]="data." placeholder="Enter your Description" class="form-control form-rounded" ></textarea>
                      </ion-item> -->
              </ion-col>
              <div class="error-box" *ngIf="productForm.controls['enddate'].hasError('required') && productForm.controls['enddate'].touched">* The field is required</div>

              <!-- <ion-col col-5 class="text-color">
                  <h2>Amonut<span>*</span></h2>

                      <ion-item>
                              <ion-input type="text" placeholder="Enter Amount" ></ion-input>
                      </ion-item>

              </ion-col> -->
              <!-- <ion-col col-12 class="padding-check">

                      <h2>Upload documents</h2>

                      <div class="upload-documents">
                          <div (click)="choosePopup()">
                              <ion-icon name="md-cloud-upload" ></ion-icon>
                              <h6>Upload Documents</h6>
                              <p>Maximum file size: 10MB</p>
                          </div>
                      </div>

                      <p>Supported documents jpg, png, gif and pdf</p>

              </ion-col> -->
          </ion-row>
          </div>
          <!-- <div  style=" position: fixed;top: 50%;left: 50%; transform: translate(-50%, -50%);color:#4F5673">
                  No bill available
                </div> -->
                </form>
    </ion-grid>
   <!-- <ion-grid >
              <ion-row  >
                  No reports found
                 </ion-row >
              </ion-grid> -->
  </ion-content>
